Debian Bug report logs - #340386
coreutils: cp -r 1/ 2/ no longer works

version graph

Package: coreutils; Maintainer for coreutils is Michael Stone <mstone@debian.org>; Source for coreutils is src:coreutils.

Reported by: Junichi Uekawa <dancer@netfort.gr.jp>

Date: Wed, 23 Nov 2005 05:48:02 UTC

Severity: normal

Tags: wontfix

Found in version coreutils/5.93-5

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#340386; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
New Bug report received and forwarded. Copy sent to Michael Stone <mstone@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: submit@bugs.debian.org
Subject: coreutils: cp -r 1/ 2/ no longer works
Date: Wed, 23 Nov 2005 14:34:48 +0900
Package: coreutils
Version: 5.93-5

Hi,

Constructs like
	cp -al oprofile{,--}/
	cp -al oprofile/ oprofile--/
now fail if the target DIRECTORY do not exist (they used to work on sarge system)

	cp -al oprofile{,--}
	cp -al oprofile oprofile--
	cp -al oprofile/ oprofile--
Works.

I cannot find references to this changes in NEWS file, 
and I am wondering if it's an intended change in behavior or not.


I noticed this due to cowdancer build testsuite being broken today.
I am assuming this was introduced since 12 Nov 2005 upload of 5.93-1.


regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#340386; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to bob@proulx.com (Bob Proulx):
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. Full text and rfc822 format available.

Message #10 received at 340386@bugs.debian.org (full text, mbox):

From: bob@proulx.com (Bob Proulx)
To: Junichi Uekawa <dancer@netfort.gr.jp>, 340386@bugs.debian.org
Subject: Re: Bug#340386: coreutils: cp -r 1/ 2/ no longer works
Date: Thu, 24 Nov 2005 23:15:24 -0700
Junichi Uekawa wrote:
> Constructs like
> 	cp -al oprofile{,--}/
> 	cp -al oprofile/ oprofile--/
> now fail if the target DIRECTORY do not exist (they used to work on sarge system)
> 
> 	cp -al oprofile{,--}
> 	cp -al oprofile oprofile--
> 	cp -al oprofile/ oprofile--
> Works.
> 
> I cannot find references to this changes in NEWS file, 
> and I am wondering if it's an intended change in behavior or not.

This is the same as Bug#339461.

POSIX requires the behavior that trailing slashes push into the
directory.  If a trailing slash is explicitly stated then the name
must be a directory or it is an error.  The behavior in woody is a
bug in the woody version.

Bob



Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#340386; Package coreutils. Full text and rfc822 format available.

Acknowledgement sent to Junichi Uekawa <dancer@netfort.gr.jp>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. Full text and rfc822 format available.

Message #15 received at 340386@bugs.debian.org (full text, mbox):

From: Junichi Uekawa <dancer@netfort.gr.jp>
To: bob@proulx.com (Bob Proulx)
Cc: Junichi Uekawa <dancer@netfort.gr.jp>, 340386@bugs.debian.org
Subject: Re: Bug#340386: coreutils: cp -r 1/ 2/ no longer works
Date: Sat, 26 Nov 2005 10:55:17 +0900
Hi,

> 
> This is the same as Bug#339461.
> 
> POSIX requires the behavior that trailing slashes push into the
> directory.  If a trailing slash is explicitly stated then the name
> must be a directory or it is an error.  The behavior in woody is a
> bug in the woody version.

GNU implementation of commands usually aren't fully 
POSIX compliant, and some scripts used to depend on that.

My impression has been that the final '/' handling is one of those
things that usually breaks on *BSD but works on GNU systems.

This is a pretty large change in behavior on the side of coreutils,
which is different from the last released stable Debian version.


regards,
	junichi
-- 
dancer@{debian.org,netfort.gr.jp}   Debian Project



Tags added: wontfix Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:11:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.